<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Tables and Forms</title>
</head>
<body>
    <!-- creates a container element used to group HTML elements -->
    <header>
        <h1>HTML tables and forms</h1>
    </header>
    <main>
    <h2>HTML Entities</h2>
    <p>
        <em>Reserved characters in HTML (e.g. &lt; or &gt;
            characters than can mix with HTML code).</em>
    </p>

    <!-- Defines an HTML table -->
    <table border="1">
        <!-- thead is use to group table header content -->
        <thead>
            <!-- Define a table row -->
            <tr>
                <!-- defines a Table Header element -->
                <th colspan="2">Entity</th>
                <th>Description</th>              
            </tr>
        </thead>
        <!-- Used to group table body content -->
        <tbody>
            <tr>
                <!-- Defines a table data elemet -->
                <td>&lt;</td>
                <td>lt</td>
                <td>less than</td>
            </tr>
            <tr>
                <td>&gt;</td>
                <td>gt</td>
                <td>greater than</td>
            </tr>
            <tr>
                <td>&#8369</td>
                <td>#8369</td>
                <td>peso sign</td>
            </tr>
            <tr>
                <td>&amp;</td>
                <td>amp</td>
                <td>ampersand</td>
            </tr>
            <tr>
                <td>&quot;</td>
                <td>quot</td>
                <td>double quotation mark</td>
            </tr>
            <tr>
                <td>&apos;</td>
                <td>apos</td>
                <td>single quotation mark(apostrophe)</td>
            </tr>
            <tr>
                <td>&ntilde;</td>
                <td>ntilde</td>
                <td>Lower Tilde</td>
            </tr>
            <tr>
                <td>&Ntilde;</td>
                <td>Ntilde</td>
                <td>Upper Tilde</td>
            </tr>
        </tbody>
        <!-- Used to group table footer content -->
        <tfoot>
            <tr>
                <th colspan="3">List of HTML entities</th>
            </tr>
        </tfoot>
    </table>
        <section>
        <p>HTML Forms</p>
        <p>
        <em>Input elements that make up a form.</em>
        </p>

        <!-- Creates an HTML form to capture user imput -->
        <form action="https://google.com">
        
        <!-- creates a label and allows for input field selection
        when clicked -->
        <label for="fullname">Full Name:</label><br>
        <input type="text" name="full_name" id="fullname" required autocomplete><br>
        <!-- Creates an input field to capture user input -->
        <label for="birthday">Birth Date:</label><br>
        <input type="date" name="birth_data" id="birthday" required><br>
        <label for="age">Age:</label><br>
        <input type="number" name="age" id="age" required min="1"><br>
        
        <!-- creates a dropdown menu -->
        <label for="gender">Gender</label><br>
        <select name="gender" id="gender">
            <!-- creates an option for the dropdown -->
            <option value="Male">Male</option>
            <option value="Female">Female</option>
        </select><br>

        <label for="notes">Notes:</label><br>
        <!-- creates a larger text input -->
        <textarea name="notes" id="notes" cols="30" rows="5"></textarea><br>
        <!-- Radio buttons -->
        <label for="">New User:</label><br>
        <input type="radio" name="new_user" id="user-type1" value="yes">
        <label for="user-type1">Yes</label><br>

        <input type="radio" name="new_user" id="user-type2" value="no">
        <label for="user-type2">No</label><br>

        <!-- Checkboxes -->
        <label for="">Role:</label><br>

        <!-- create checkboxes for multiple choices -->
        <input type="checkbox" name="role1" id="role1" value="developer">
        <label for="role1">Developer</label>

        <input type="checkbox" name="role2" id="role2" value="student">
        <label for="role2">Student</label>

        <input type="checkbox" name="role3" id="role3" value="manager">
        <label for="role3">Manager</label><br><br>

        <!-- Creates a button the will submit the form data -->
        <button type="submit">Submit</button>
        <button type="reset">Reset</button>
        </form>
        </section>
    </main>
</body>
</html>